using UnityEngine;
using UnityEngine.UI;

public static class UIHelpers
{
    public static Transform InstantiateButton(this MVRScript script, Transform parent = null) =>
            Instantiate(script.manager.configurableButtonPrefab, parent);

    static Transform Instantiate(Transform prefab, Transform parent = null)
    {
        var transform = UnityEngine.Object.Instantiate(prefab, parent, false);
        UnityEngine.Object.Destroy(transform.GetComponent<LayoutElement>());
        return transform;
    }
}
